summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2020-01-31 12:37:14 -0500
committerBrian Evans <grknight@gentoo.org>2020-01-31 12:37:14 -0500
commitffe7f6740db6aee805faebc1c61992f0c46fbc72 (patch)
tree6d8450d23ca01fb008ac78b977a60adbb5ef8333
parentnet-dns/dnscrypt-proxy: bump to 2.0.39 (diff)
downloadgentoo-ffe7f6740db6aee805faebc1c61992f0c46fbc72.tar.gz
gentoo-ffe7f6740db6aee805faebc1c61992f0c46fbc72.tar.bz2
gentoo-ffe7f6740db6aee805faebc1c61992f0c46fbc72.zip
dev-db/mariadb: Fix fno-common error with 10.1.44
This error is not present in other versions as the affected file was transitioned to CXX correctly in 10.2+ and does not exist in 5.5 Signed-off-by: Brian Evans <grknight@gentoo.org>
-rw-r--r--dev-db/mariadb/mariadb-10.1.44.ebuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/dev-db/mariadb/mariadb-10.1.44.ebuild b/dev-db/mariadb/mariadb-10.1.44.ebuild
index 75342265967..5e7691b1973 100644
--- a/dev-db/mariadb/mariadb-10.1.44.ebuild
+++ b/dev-db/mariadb/mariadb-10.1.44.ebuild
@@ -243,6 +243,9 @@ src_prepare() {
sed -i -e 's/ build_lzma//' -e 's/ build_snappy//' "${S%/}/storage/tokudb/PerconaFT/ft/CMakeLists.txt" || die
sed -i -e 's/add_dependencies\(tokuportability_static_conv build_jemalloc\)//' "${S%/}/storage/tokudb/PerconaFT/portability/CMakeLists.txt" || die
+ # Fix -fno-common error
+ sed -i -e '/^datasink_t datasink_buffer;$/d' extra/mariabackup/xbstream.c || die
+
local plugin
local server_plugins=( handler_socket auth_socket feedback metadata_lock_info
locale_info qc_info server_audit semisync sql_errlog )